"""
Find an album using the `spotify_actions` API and echo its contents.
"""

from argparse import ArgumentParser
from asyncio import get_event_loop

from spotify_actions.echo import echo_album
from spotify_actions.search import search_album
from spotify_actions.util import read_credentials


def main():  # pylint: disable=missing-function-docstring
    parser = ArgumentParser()
    parser.add_argument("-f", "--config", required=True)
    parser.add_argument("search_string")

    cmdline = parser.parse_args()

    client = read_credentials(cmdline.config, get_event_loop())

    albums = search_album(client, cmdline.search_string)
    echo_albums = echo_album(albums)

    client.loop.run_until_complete(echo_albums)
    client.loop.run_until_complete(client.close())


if __name__ == "__main__":
    main()
