"""
Utility methods for the Spotify query API
"""
from typing import AsyncIterable

from spotify import Album, Client


async def search_album(client: Client, name: str) -> AsyncIterable[Album]:
    "Search for a specific album by name"
    results = await client.search(name, types=["album"])
    for album in results.albums:
        yield album
