"""
Utility methods for working with the Spotify API
"""
from asyncio import AbstractEventLoop
from pathlib import Path

import yaml
from spotify import Client


def read_credentials(path: Path, loop: AbstractEventLoop) -> Client:
    "Read credentials from a YAML file and construct a Spotify client"
    with open(path, "r") as credentials_file:
        credentials = yaml.safe_load(credentials_file)
        return Client(credentials["client_id"], credentials["client_secret"], loop=loop)
